{{ template "base" . }}

{{ define "title" }}User{{ end }}

{{ define "header-left" }}
	<a class="pure-button" href="/">Back</a>
{{ end }}

{{ define "content" }}
{{ template "header" . }}

<div class="content pure-u-1">
	<div class="maxwidth box">
		<form class="pure-form pure-form-aligned" method="POST">
			<fieldset>
				<div class="pure-control-group">
					<label for="form-old-pw">Current Password</label>
					<input type="password" id="form-old-pw" name="old-pw" required>
					{{ if .FormErrors.OldPW }}
						<span class="errmsg pure-form-message-inline">{{ .FormErrors.OldPW }}</span>
					{{ end }}
				</div>

				<div class="pure-control-group">
					<label for="form-new-pw-1">New Password</label>
					<input type="password" id="form-new-pw-1" name="new-pw" required>
					{{ if .FormErrors.NewPW }}
						<span class="errmsg pure-form-message-inline">{{ .FormErrors.NewPW }}</span>
					{{ end }}
				</div>

				<div class="pure-control-group">
					<label for="form-new-pw-2">New Password (repeat)</label>
					<input type="password" id="form-new-pw-2" name="new-pw-repeat" required>
				</div>
			</fieldset>

			<button type="submit" class="pure-button pure-button-primary" name="action" value="update">
				Update password
			</button>
		</form>

		{{ if .ShowResult }}
			{{ if .Success }}
				<p>Updated \o/
			{{ else }}
				<p class="errmsg">Something went wrong.
			{{ end }}
		{{ end }}

		<hr/>

		{{ if .GeneratedPassword }}
		<p>User created, generated password: <code>{{ .GeneratedPassword }}</code>
		{{ end }}

		<form class="pure-form pure-form-aligned" method="POST">
			<div class="pure-control-group">
				<label for="form-new-user">New user name</label>
				<input type="text" id="form-new-user" name="new-user" required>
				{{ if .FormErrors.NewUser }}
					<span class="errmsg pure-form-message-inline">{{ .FormErrors.NewUser }}</span>
				{{ end }}
			</div>

			<button type="submit" class="pure-button pure-button-primary" name="action" value="create">
				Create user
			</button>
		</form>

		{{ if .AllUsers }}
		<p>All users

		{{ if .FormErrors.DeleteUser }}
			<span class="errmsg">{{ .FormErrors.DeleteUser }}</span>
		{{ end }}

		<table class="pure-table">
			<thead><tr><th>Name</th><th></th></tr></thead>
			<tbody>
				{{ range .AllUsers }}
				<tr>
					<td>{{ . }}</td>
					<td><form method="POST">
						<input type="hidden" name="username" value="{{ . }}">
						<button type="submit" class="pure-button button-warning" name="action" value="delete">X</button>
					</form></td>
				</tr>
				{{ end }}
			</tbody>
		</table>
		{{ end }}
	</div>
</div>
{{ end }}